
From: Paul Jackson <pj@sgi.com>

I've read over the code in each case, built and ran a test case for i386 in
particular, and studied the other uses and definitions of
test_and_change_bit().  Everything I see recommends this change.

- Fix test_and_change_bit() comment: returns old value, not new one.


---

 25-akpm/include/asm-cris/bitops.h   |    2 +-
 25-akpm/include/asm-i386/bitops.h   |    2 +-
 25-akpm/include/asm-ia64/bitops.h   |    2 +-
 25-akpm/include/asm-mips/bitops.h   |    4 ++--
 25-akpm/include/asm-x86_64/bitops.h |    2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

diff -puN include/asm-cris/bitops.h~bitop-comment-fix include/asm-cris/bitops.h
--- 25/include/asm-cris/bitops.h~bitop-comment-fix	2004-04-06 21:15:18.065460744 -0700
+++ 25-akpm/include/asm-cris/bitops.h	2004-04-06 21:15:18.086457552 -0700
@@ -169,7 +169,7 @@ extern inline int __test_and_clear_bit(i
 	return retval;
 }
 /**
- * test_and_change_bit - Change a bit and return its new value
+ * test_and_change_bit - Change a bit and return its old value
  * @nr: Bit to change
  * @addr: Address to count from
  *
diff -puN include/asm-i386/bitops.h~bitop-comment-fix include/asm-i386/bitops.h
--- 25/include/asm-i386/bitops.h~bitop-comment-fix	2004-04-06 21:15:18.066460592 -0700
+++ 25-akpm/include/asm-i386/bitops.h	2004-04-06 21:15:18.087457400 -0700
@@ -212,7 +212,7 @@ static __inline__ int __test_and_change_
 }
 
 /**
- * test_and_change_bit - Change a bit and return its new value
+ * test_and_change_bit - Change a bit and return its old value
  * @nr: Bit to change
  * @addr: Address to count from
  *
diff -puN include/asm-ia64/bitops.h~bitop-comment-fix include/asm-ia64/bitops.h
--- 25/include/asm-ia64/bitops.h~bitop-comment-fix	2004-04-06 21:15:18.067460440 -0700
+++ 25-akpm/include/asm-ia64/bitops.h	2004-04-06 21:15:18.102455120 -0700
@@ -236,7 +236,7 @@ __test_and_clear_bit(int nr, volatile vo
 }
 
 /**
- * test_and_change_bit - Change a bit and return its new value
+ * test_and_change_bit - Change a bit and return its old value
  * @nr: Bit to set
  * @addr: Address to count from
  *
diff -puN include/asm-mips/bitops.h~bitop-comment-fix include/asm-mips/bitops.h
--- 25/include/asm-mips/bitops.h~bitop-comment-fix	2004-04-06 21:15:18.069460136 -0700
+++ 25-akpm/include/asm-mips/bitops.h	2004-04-06 21:15:18.114453296 -0700
@@ -296,7 +296,7 @@ static inline int __test_and_clear_bit(u
 }
 
 /*
- * test_and_change_bit - Change a bit and return its new value
+ * test_and_change_bit - Change a bit and return its old value
  * @nr: Bit to change
  * @addr: Address to count from
  *
@@ -567,7 +567,7 @@ static inline int __test_and_clear_bit(u
 }
 
 /*
- * test_and_change_bit - Change a bit and return its new value
+ * test_and_change_bit - Change a bit and return its old value
  * @nr: Bit to change
  * @addr: Address to count from
  *
diff -puN include/asm-x86_64/bitops.h~bitop-comment-fix include/asm-x86_64/bitops.h
--- 25/include/asm-x86_64/bitops.h~bitop-comment-fix	2004-04-06 21:15:18.071459832 -0700
+++ 25-akpm/include/asm-x86_64/bitops.h	2004-04-06 21:15:18.115453144 -0700
@@ -204,7 +204,7 @@ static __inline__ int __test_and_change_
 }
 
 /**
- * test_and_change_bit - Change a bit and return its new value
+ * test_and_change_bit - Change a bit and return its old value
  * @nr: Bit to change
  * @addr: Address to count from
  *

_
